{"openapi":"3.1.0","info":{"title":"cBioPortal web Public API [Alpha]","description":"A web service for supplying JSON formatted data to cBioPortal clients. Please note that this API is currently in beta and subject to change.","contact":{"name":"cbioportal","url":"https://www.cbioportal.org","email":"cbioportal@googlegroups.com"},"license":{"name":"Apache-2.0","url":"https://www.apache.org/licenses/LICENSE-2.0"},"version":"1.0 (beta). Backwards compatibility will be maintained (after 1.0 release)"},"externalDocs":{"description":"SpringShop Wiki Documentation","url":"https://springshop.wiki.github.org/docs"},"servers":[{"url":"https://www.cbioportal.org","description":"Generated server url"}],"paths":{"/api/treatments/sample":{"post":{"tags":["Treatments"],"description":"Get all sample level treatments","operationId":"getAllSampleTreatmentsUsingPOST","parameters":[{"name":"tier","in":"query","required":false,"schema":{"type":"string","default":"Agent","enum":["Agent","AgentClass","AgentTarget"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SampleTreatmentRow"}}}}}}}},"/api/treatments/sample-counts/fetch":{"post":{"tags":["Study View"],"operationId":"fetchSampleTreatmentCountsUsingPOST","parameters":[{"name":"tier","in":"query","required":false,"schema":{"type":"string","default":"Agent","enum":["Agent","AgentClass","AgentTarget"]}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SampleTreatmentReport"}}}}}}},"/api/treatments/patient":{"post":{"tags":["Treatments"],"description":"Get all patient level treatments","operationId":"getAllPatientTreatmentsUsingPOST","parameters":[{"name":"tier","in":"query","required":false,"schema":{"type":"string","default":"Agent","enum":["Agent","AgentClass","AgentTarget"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PatientTreatmentRow"}}}}}}}},"/api/treatments/patient-counts/fetch":{"post":{"tags":["Study View"],"description":"Get all patient level treatments","operationId":"fetchPatientTreatmentCountsUsingPOST","parameters":[{"name":"tier","in":"query","required":false,"schema":{"type":"string","default":"Agent","enum":["Agent","AgentClass","AgentTarget"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatientTreatmentReport"}}}}}}},"/api/treatments/display-sample":{"post":{"tags":["Treatments"],"description":"Should sample level treatments be displayed","operationId":"getContainsSampleTreatmentDataUsingPOST","parameters":[{"name":"tier","in":"query","required":false,"schema":{"type":"string","default":"Agent","enum":["Agent","AgentClass","AgentTarget"]}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of Study IDs","items":{"type":"string"},"uniqueItems":true}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/api/treatments/display-patient":{"post":{"tags":["Treatments"],"description":"Should patient level treatments be displayed","operationId":"getContainsTreatmentDataUsingPOST","parameters":[{"name":"tier","in":"query","required":false,"schema":{"type":"string","default":"Agent","enum":["Agent","AgentClass","AgentTarget"]}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of Study IDs","items":{"type":"string"},"uniqueItems":true}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/api/survival-data/fetch":{"post":{"tags":["Survival"],"description":"Fetch survival data","operationId":"fetchSurvivalDataUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SurvivalRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalData"}}}}}}}},"/api/structuralvariant-genes/fetch":{"post":{"tags":["Study View"],"description":"Fetch structural variant genes by study view filter","operationId":"fetchStructuralVariantGenesUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AlterationCountByGene"}}}}}}}},"/api/structuralvariant-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch structural variant genes by study view filter","operationId":"fetchStructuralVariantCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AlterationCountByStructuralVariant"}}}}}}}},"/api/structural-variant/fetch":{"post":{"tags":["Structural Variants"],"description":"Fetch structural variants for entrezGeneIds and molecularProfileIds or sampleMolecularIdentifiers","operationId":"fetchStructuralVariantsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StructuralVariantFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StructuralVariant"}}}}}}}},"/api/sample-lists-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch case list sample counts by study view filter","operationId":"fetchCaseListCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CaseListDataCount"}}}}}}}},"/api/resource-definitions/fetch":{"post":{"tags":["Resource Definitions"],"description":"Get all resource definitions for specified studies","operationId":"fetchResourceDefinitionsUsingPOST","parameters":[{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of Study IDs","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ResourceDefinition"}}}}}}}},"/api/reference-genome-genes/{genomeName}/fetch":{"post":{"tags":["Reference Genome Genes"],"description":"Fetch genes of reference genome of interest","operationId":"fetchReferenceGenomeGenesUsingPOST","parameters":[{"name":"genomeName","in":"path","description":"Name of Reference Genome hg19","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of Gene IDs","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReferenceGenomeGene"}}}}}}}},"/api/not-ready-yet/clinical-data-enrichments/fetch":{"post":{"tags":["Clinical Data Enrichments"],"description":"Fetch clinical data enrichments for the sample groups","operationId":"fetchClinicalEnrichmentsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalDataEnrichment"}}}}}}}},"/api/namespace-data/fetch":{"post":{"tags":["Namespace Data"],"description":"Get namespace data for comparison page for the selected samples and values","operationId":"getNamespaceDataForComparisonUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NamespaceComparisonFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NamespaceData"}}}}}}}},"/api/namespace-data-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch namespace data counts by study view filter","operationId":"fetchNamespaceDataCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NamespaceDataCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NamespaceDataCountItem"}}}}}}}},"/api/namespace-attributes/counts/fetch":{"post":{"tags":["Namespace Attributes Count"],"description":"Get counts for namespace attributes according to their data availability for selected samples/patients","operationId":"getNamespaceAttributeCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NamespaceAttributeCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NamespaceAttributeCount"}}}}}}}},"/api/mutation-data-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch mutation data counts by GenomicDataCountFilter","operationId":"fetchMutationDataCountsUsingPOST","parameters":[{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"includeSampleIds","in":"query","description":"Flag to include sample ids","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenomicDataCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenomicDataCountItem"}}}}}}}},"/api/mutation-counts-by-position/fetch":{"post":{"tags":["Mutations Count"],"description":"Fetch mutation counts in all studies by gene and position","operationId":"fetchMutationCountsByPositionUsingPOST","requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of Mutation Position Identifiers","items":{"$ref":"#/components/schemas/MutationPositionIdentifier"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MutationCountByPosition"}}}}}}}},"/api/mutated-genes/fetch":{"post":{"tags":["Study View"],"operationId":"fetchMutatedGenesUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AlterationCountByGene"}}}}}}}},"/api/molecular-profiles/{molecularProfileId}/variant-counts/fetch":{"post":{"tags":["Variant Counts"],"description":"Get counts of specific variants within a mutation molecular profile","operationId":"fetchVariantCountsUsingPOST","parameters":[{"name":"molecularProfileId","in":"path","description":"Molecular Profile ID e.g. acc_tcga_mutations","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of variant count identifiers","items":{"$ref":"#/components/schemas/VariantCountIdentifier"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/VariantCount"}}}}}}}},"/api/molecular-profiles/{molecularProfileId}/mutation-spectrums/fetch":{"post":{"tags":["Mutation Spectrums"],"description":"Fetch mutation spectrums in a molecular profile","operationId":"fetchMutationSpectrumsUsingPOST","parameters":[{"name":"molecularProfileId","in":"path","description":"Molecular Profile ID e.g. acc_tcga_mutations","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MutationSpectrumFilter"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MutationSpectrum"}}}}}}}},"/api/molecular-profiles/{molecularProfileId}/mrna-percentile/fetch":{"post":{"tags":["mRNA Percentile"],"description":"Get mRNA expression percentiles for list of genes for a sample","operationId":"fetchMrnaPercentileUsingPOST","parameters":[{"name":"molecularProfileId","in":"path","description":"Molecular Profile ID e.g. acc_tcga_rna_seq_v2_mrna","required":true,"schema":{"type":"string"}},{"name":"sampleId","in":"query","description":"Sample ID e.g. TCGA-OR-A5J2-01","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of Entrez Gene IDs","items":{"type":"integer","format":"int32"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MrnaPercentile"}}}}}}}},"/api/molecular-profiles/{molecularProfileId}/discrete-copy-number-counts/fetch":{"post":{"tags":["Discrete Copy Number Alteration Counts"],"description":"Get counts of specific genes and alterations within a CNA molecular profile","operationId":"fetchCopyNumberCountsUsingPOST","parameters":[{"name":"molecularProfileId","in":"path","description":"Molecular Profile ID e.g. acc_tcga_gistic","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of copy number count identifiers","items":{"$ref":"#/components/schemas/CopyNumberCountIdentifier"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CopyNumberCount"}}}}}}}},"/api/molecular-profiles/co-expressions/fetch":{"post":{"tags":["Co-Expressions"],"operationId":"fetchCoExpressionsUsingPOST","parameters":[{"name":"molecularProfileIdA","in":"query","description":"Molecular Profile ID A","required":true,"schema":{"type":"string"}},{"name":"molecularProfileIdB","in":"query","description":"Molecular Profile ID B","required":true,"schema":{"type":"string"}},{"name":"threshold","in":"query","description":"Threshold","required":false,"schema":{"type":"number","format":"double","default":0.3}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CoExpressionFilter"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CoExpression"}}}}}}}},"/api/molecular-profile-sample-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch sample counts by study view filter","operationId":"fetchMolecularProfileSampleCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenomicDataCount"}}}}}}}},"/api/genomic-data-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch genomic data counts by GenomicDataCountFilter","operationId":"fetchGenomicDataCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenomicDataCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenomicDataCountItem"}}}}}}}},"/api/genomic-data-bin-counts/fetch":{"post":{"tags":["Study View"],"operationId":"fetchGenomicDataBinCountsUsingPOST","parameters":[{"name":"dataBinMethod","in":"query","required":false,"schema":{"type":"string","default":"DYNAMIC","enum":["STATIC","DYNAMIC"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenomicDataBinCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenomicDataBin"}}}}}}}},"/api/genetic-profiles/{geneticProfileId}/geneset-genetic-data/fetch":{"post":{"tags":["Gene Set Scores"],"description":"Fetch gene set \"genetic data\" items (gene set scores) by profile Id, gene set ids and sample ids","operationId":"fetchGeneticDataItemsUsingPOST","parameters":[{"name":"geneticProfileId","in":"path","description":"Genetic profile ID, e.g. gbm_tcga_gsva_scores","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenesetDataFilterCriteria"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenesetMolecularData"}}}}}}}},"/api/genesets/{genesetId}/expression-correlation/fetch":{"post":{"tags":["Gene Set Correlation"],"description":"Get the genes in a gene set that have expression correlated to the gene set scores (calculated using Spearman's correlation)","operationId":"fetchCorrelatedGenesUsingPOST","parameters":[{"name":"genesetId","in":"path","description":"Gene set ID, e.g. HINATA_NFKB_MATRIX.","required":true,"schema":{"type":"string"}},{"name":"geneticProfileId","in":"query","description":"Genetic Profile ID e.g. gbm_tcga_gsva_scores","required":true,"schema":{"type":"string"}},{"name":"correlationThreshold","in":"query","description":"Correlation threshold (for absolute correlation value, Spearman correlation)","required":false,"schema":{"type":"number","format":"double","default":0.3,"maximum":1,"minimum":0}},{"name":"sampleListId","in":"query","description":"Identifier of pre-defined sample list with samples to query, e.g. brca_tcga_all","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"Fill this one if you want to specify a subset of samples: sampleIds: custom list of samples or patients to query, e.g. [\"TCGA-A1-A0SD-01\", \"TCGA-A1-A0SE-01\"]","items":{"type":"string"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenesetCorrelation"}}}}}}}},"/api/genesets/fetch":{"post":{"tags":["Gene Sets"],"description":"Fetch gene sets by ID","operationId":"fetchGenesetsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of Geneset IDs","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Geneset"}}}}}}}},"/api/geneset-hierarchy/fetch":{"post":{"tags":["Gene Set Hierarchy"],"description":"Get gene set hierarchical organization information. I.e. how different gene sets relate to other gene sets, in a hierarchy","operationId":"fetchGenesetHierarchyInfoUsingPOST","parameters":[{"name":"geneticProfileId","in":"query","description":"Genetic Profile ID e.g. gbm_tcga_gsva_scores. The final hierarchy  will only include gene sets scored in the specified profile.","required":true,"schema":{"type":"string"}},{"name":"percentile","in":"query","description":"Percentile (for score calculation). Which percentile to use when determining the *representative score*","required":false,"schema":{"type":"integer","format":"int32","default":75,"maximum":100,"minimum":1}},{"name":"scoreThreshold","in":"query","description":"Gene set score threshold (for absolute score value). Filters out gene sets where the GSVA(like) *representative score* is under this threshold.","required":false,"schema":{"type":"number","format":"double","default":0.4,"maximum":1,"minimum":0}},{"name":"pvalueThreshold","in":"query","description":"p-value threshold. Filters out gene sets for which the score p-value is higher than this threshold.","required":false,"schema":{"type":"number","format":"double","default":0.05,"maximum":1,"minimum":0}},{"name":"sampleListId","in":"query","description":"Identifier of pre-defined sample list with samples to query, e.g. brca_tcga_all","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"Fill this one if you want to specify a subset of samples: sampleIds: custom list of samples or patients to query, e.g. [\"TCGA-A1-A0SD-01\", \"TCGA-A1-A0SE-01\"]","items":{"type":"string"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenesetHierarchyInfo"}}}}}}}},"/api/generic-assay-enrichments/fetch":{"post":{"tags":["Enrichments"],"description":"Fetch generic assay enrichments in a molecular profile","operationId":"fetchGenericAssayEnrichmentsUsingPOST","parameters":[{"name":"enrichmentType","in":"query","description":"Type of the enrichment e.g. SAMPLE or PATIENT","required":false,"schema":{"type":"string","default":"SAMPLE","enum":["SAMPLE","PATIENT"]}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of groups containing sample and molecular profile identifiers","items":{"$ref":"#/components/schemas/MolecularProfileCasesGroupFilter"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenericAssayEnrichment"}}}}}}}},"/api/generic-assay-data-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch generic assay data counts by study view filter","operationId":"fetchGenericAssayDataCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericAssayDataCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenericAssayDataCountItem"}}}}}}}},"/api/generic-assay-data-bin-counts/fetch":{"post":{"tags":["Study View"],"operationId":"fetchGenericAssayDataBinCountsUsingPOST","parameters":[{"name":"dataBinMethod","in":"query","required":false,"schema":{"type":"string","default":"DYNAMIC","enum":["STATIC","DYNAMIC"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericAssayDataBinCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenericAssayDataBin"}}}}}}}},"/api/generic-assay-categorical-enrichments/fetch":{"post":{"tags":["Generic Assay Enrichment Data"],"description":"Fetch generic assay categorical data enrichments in a molecular profile","operationId":"fetchGenericAssayCategoricalDataEnrichmentInMultipleMolecularProfilesUsingPOST","parameters":[{"name":"enrichmentType","in":"query","description":"Type of the enrichment e.g. SAMPLE or PATIENT","required":false,"schema":{"type":"string","default":"SAMPLE","enum":["SAMPLE","PATIENT"]}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of groups containing sample and molecular profile identifiers","items":{"$ref":"#/components/schemas/MolecularProfileCasesGroupFilter"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenericAssayCategoricalEnrichment"}}}}}}}},"/api/generic-assay-binary-enrichments/fetch":{"post":{"tags":["Generic Assay Enrichment Data"],"description":"Fetch generic assay binary data enrichments in a molecular profile","operationId":"fetchGenericAssayBinaryDataEnrichmentInMultipleMolecularProfilesUsingPOST","parameters":[{"name":"enrichmentType","in":"query","description":"Type of the enrichment e.g. SAMPLE or PATIENT","required":false,"schema":{"type":"string","default":"SAMPLE","enum":["SAMPLE","PATIENT"]}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of groups containing sample and molecular profile identifiers","items":{"$ref":"#/components/schemas/MolecularProfileCasesGroupFilter"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenericAssayBinaryEnrichment"}}}}}}}},"/api/filtered-samples/fetch":{"post":{"tags":["Study View"],"operationId":"fetchFilteredSamplesUsingPOST","parameters":[{"name":"negateFilters","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Sample"}}}}}}}},"/api/expression-enrichments/fetch":{"post":{"tags":["Enrichments"],"description":"Fetch genomic enrichments in a molecular profile","operationId":"fetchGenomicEnrichmentsUsingPOST","parameters":[{"name":"enrichmentType","in":"query","description":"Type of the enrichment e.g. SAMPLE or PATIENT","required":false,"schema":{"type":"string","default":"SAMPLE","enum":["SAMPLE","PATIENT"]}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of groups containing sample and molecular profile identifiers","items":{"$ref":"#/components/schemas/MolecularProfileCasesGroupFilter"}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GenomicEnrichment"}}}}}}}},"/api/data-access-tokens":{"get":{"tags":["Data Access Tokens"],"description":"Retrieve all data access tokens","operationId":"getAllDataAccessTokensUsingGET","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DataAccessToken"}}}}}}},"post":{"tags":["Data Access Tokens"],"description":"Get all data access tokens","operationId":"createDataAccessTokenUsingPOST","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataAccessToken"}}}}}},"delete":{"tags":["Data Access Tokens"],"description":"Delete all data access tokens","operationId":"revokeAllDataAccessTokensUsingDELETE","responses":{"200":{"description":"OK"}}}},"/api/custom-driver-annotation-report/fetch":{"post":{"tags":["Custom driver annotations"],"summary":"Return availability of custom driver annotations for molecular profiles","operationId":"fetchAlterationDriverAnnotationReportUsingPOST","requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"List of Molecular Profile Ids","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomDriverAnnotationReport"}}}}}}},"/api/custom-data-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch custom data counts by study view filter","operationId":"fetchCustomDataCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalDataCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalDataCountItem"}}}}}}}},"/api/custom-data-bin-counts/fetch":{"post":{"tags":["Study View"],"description":"Fetch custom data bin counts by study view filter","operationId":"fetchCustomDataBinCountsUsingPOST","parameters":[{"name":"dataBinMethod","in":"query","description":"Method for data binning","required":false,"schema":{"type":"string","default":"DYNAMIC","enum":["STATIC","DYNAMIC"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalDataBinCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalDataBin"}}}}}}}},"/api/cna-genes/fetch":{"post":{"tags":["Study View"],"description":"Fetch copy-number altered genes","operationId":"fetchCNAGenesUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CopyNumberCountByGene"}}}}}}}},"/api/clinical-events-meta/fetch":{"post":{"tags":["Clinical Events"],"description":"Fetch clinical events meta","operationId":"fetchClinicalEventsMetaUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalEventAttributeRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalEvent"}}}}}}}},"/api/clinical-event-type-counts/fetch":{"post":{"tags":["Study View"],"description":"Get Counts of Clinical Event Types by Study View Filter","operationId":"getClinicalEventTypeCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalEventTypeCount"}}}}}}}},"/api/clinical-data-violin-plots/fetch":{"post":{"tags":["Study View"],"description":"Fetch violin plot curves per categorical clinical data value, filtered by study view filter","operationId":"fetchClinicalDataViolinPlotsUsingPOST","parameters":[{"name":"categoricalAttributeId","in":"query","description":"Clinical Attribute ID of the categorical attribute","required":true,"schema":{"type":"string"}},{"name":"numericalAttributeId","in":"query","description":"Clinical Attribute ID of the numerical attribute","required":true,"schema":{"type":"string"}},{"name":"axisStart","in":"query","description":"Starting point of the violin plot axis, if different than smallest value","required":false,"schema":{"type":"number"}},{"name":"axisEnd","in":"query","description":"Ending point  of the violin plot axis, if different than largest value","required":false,"schema":{"type":"number"}},{"name":"numCurvePoints","in":"query","description":"Number of points in the curve","required":false,"schema":{"type":"number","default":100}},{"name":"logScale","in":"query","description":"Use log scale for the numerical attribute","required":false,"schema":{"type":"boolean","default":false}},{"name":"sigmaMultiplier","in":"query","description":"Sigma stepsize multiplier","required":false,"schema":{"type":"number","default":1}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalViolinPlotData"}}}}}}},"/api/clinical-data-table/fetch":{"post":{"tags":["Study View"],"description":"Fetch clinical data for the Clinical Tab of Study View","operationId":"fetchClinicalDataClinicalTableUsingPOST","parameters":[{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"type":"integer","format":"int32","default":0,"maximum":1000000,"minimum":0}},{"name":"pageNumber","in":"query","description":"Page number of the result list. Zero represents the first page.","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"searchTerm","in":"query","description":"Search term to filter sample rows. Samples are returned with a partial match to the search term for any sample clinical attribute.","required":false,"schema":{"type":"string","default":""}},{"name":"sortBy","in":"query","description":"sampleId, patientId, or the ATTR_ID to sorted by","required":false,"schema":{"type":"string"}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SampleClinicalDataCollection"}}}}}}},"/api/clinical-data-density-plot/fetch":{"post":{"tags":["Study View"],"description":"Fetch clinical data density plot bins by study view filter","operationId":"fetchClinicalDataDensityPlotUsingPOST","parameters":[{"name":"xAxisAttributeId","in":"query","description":"Clinical Attribute ID of the X axis","required":true,"schema":{"type":"string"}},{"name":"xAxisBinCount","in":"query","description":"Number of the bins in X axis","required":false,"schema":{"type":"integer","format":"int32","default":50}},{"name":"xAxisStart","in":"query","description":"Starting point of the X axis, if different than smallest value","required":false,"schema":{"type":"number"}},{"name":"xAxisEnd","in":"query","description":"Starting point of the X axis, if different than largest value","required":false,"schema":{"type":"number"}},{"name":"yAxisAttributeId","in":"query","description":"Clinical Attribute ID of the Y axis","required":true,"schema":{"type":"string"}},{"name":"yAxisBinCount","in":"query","description":"Number of the bins in Y axis","required":false,"schema":{"type":"integer","format":"int32","default":50}},{"name":"yAxisStart","in":"query","description":"Starting point of the Y axis, if different than smallest value","required":false,"schema":{"type":"number"}},{"name":"yAxisEnd","in":"query","description":"Starting point of the Y axis, if different than largest value","required":false,"schema":{"type":"number"}},{"name":"xAxisLogScale","in":"query","description":"Use log scale for X axis","required":false,"schema":{"type":"boolean","default":false}},{"name":"yAxisLogScale","in":"query","description":"Use log scale for Y axis","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyViewFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DensityPlotData"}}}}}}},"/api/clinical-data-counts/fetch":{"post":{"tags":["Study View"],"operationId":"fetchClinicalDataCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalDataCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalDataCountItem"}}}}}}}},"/api/clinical-data-bin-counts/fetch":{"post":{"tags":["Study View"],"operationId":"fetchClinicalDataBinCountsUsingPOST","parameters":[{"name":"dataBinMethod","in":"query","required":false,"schema":{"type":"string","default":"DYNAMIC","enum":["STATIC","DYNAMIC"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalDataBinCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalDataBin"}}}}}}}},"/api/clinical-attributes/counts/fetch":{"post":{"tags":["Clinical Attributes Count"],"description":"Get counts for clinical attributes according to their data availability for selected samples/patients","operationId":"getClinicalAttributeCountsUsingPOST","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClinicalAttributeCountFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalAttributeCount"}}}}}}}},"/api/alteration-enrichments/fetch":{"post":{"tags":["Alteration Enrichments"],"summary":"Fetch alteration enrichments in molecular profiles","operationId":"fetchAlterationEnrichmentsUsingPOST","parameters":[{"name":"enrichmentType","in":"query","description":"Type of the enrichment e.g. SAMPLE or PATIENT","required":false,"schema":{"type":"string","default":"SAMPLE","enum":["SAMPLE","PATIENT"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MolecularProfileCasesGroupAndAlterationTypeFilter"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AlterationEnrichment"}}}}}}}},"/api/timestamps":{"get":{"tags":["Timestamps"],"description":"Get the last time each static resource was updated","operationId":"getAllTimestampsUsingGET","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/api/studies/{studyId}/significantly-mutated-genes":{"get":{"tags":["Significantly Mutated Genes"],"description":"Get significantly mutated genes in a study","operationId":"getSignificantlyMutatedGenesUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"type":"integer","format":"int32","default":10000000,"maximum":10000000,"minimum":1}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["entrezGeneId","hugoGeneSymbol","rank","numberOfMutations","pValue","qValue"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MutSig"}}}}}}}},"/api/studies/{studyId}/significant-copy-number-regions":{"get":{"tags":["Significant Copy Number Regions"],"description":"Get significant copy number alteration regions in a study","operationId":"getSignificantCopyNumberRegionsUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"type":"integer","format":"int32","default":10000000,"maximum":10000000,"minimum":1}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["chromosome","cytoband","widePeakStart","widePeakEnd","qValue","amp"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Gistic"}}}}}}}},"/api/studies/{studyId}/samples/{sampleId}/resource-data":{"get":{"tags":["Resource Data"],"description":"Get all resource data of a sample in a study","operationId":"getAllResourceDataOfSampleInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"sampleId","in":"path","description":"Sample ID e.g. TCGA-OR-A5J2-01","required":true,"schema":{"type":"string"}},{"name":"resourceId","in":"query","description":"Resource ID","required":false,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"type":"integer","format":"int32","default":10000000,"maximum":10000000,"minimum":1}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["ResourceId","url"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ResourceData"}}}}}}}},"/api/studies/{studyId}/resource-definitions":{"get":{"tags":["Resource Definitions"],"description":"Get all resource definitions in the specified study","operationId":"getAllResourceDefinitionsInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"type":"integer","format":"int32","default":10000000,"maximum":10000000,"minimum":1}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["resourceId","displayName","description","resourceType","priority","openByDefault","studyId","customMetaData"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ResourceDefinition"}}}}}}}},"/api/studies/{studyId}/resource-definitions/{resourceId}":{"get":{"tags":["Resource Definitions"],"description":"Get specified resource definition","operationId":"getResourceDefinitionInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"resourceId","in":"path","description":"Resource ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResourceDefinition"}}}}}}},"/api/studies/{studyId}/resource-data":{"get":{"tags":["Resource Data"],"description":"Get all resource data for a study","operationId":"getAllStudyResourceDataInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"resourceId","in":"query","description":"Resource ID","required":false,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"type":"integer","format":"int32","default":10000000,"maximum":10000000,"minimum":1}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["ResourceId","url"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ResourceData"}}}}}}}},"/api/studies/{studyId}/resource-data-all":{"get":{"tags":["Resource Data"],"description":"Get all resource data for for all patients and all samples within a study","operationId":"getAllStudyResourceDataInStudyPatientSampleUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"resourceId","in":"query","description":"Resource ID","required":false,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"type":"integer","format":"int32","default":10000000,"maximum":10000000,"minimum":1}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["ResourceId","url"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ResourceData"}}}}}}}},"/api/studies/{studyId}/patients/{patientId}/resource-data":{"get":{"tags":["Resource Data"],"description":"Get all resource data of a patient in a study","operationId":"getAllResourceDataOfPatientInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. acc_tcga","required":true,"schema":{"type":"string"}},{"name":"patientId","in":"path","description":"Patient ID e.g. TCGA-OR-A5J2","required":true,"schema":{"type":"string"}},{"name":"resourceId","in":"query","description":"Resource ID","required":false,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"type":"integer","format":"int32","default":10000000,"maximum":10000000,"minimum":1}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["ResourceId","url"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ResourceData"}}}}}}}},"/api/studies/{studyId}/patients/{patientId}/clinical-events":{"get":{"tags":["Clinical Events"],"description":"Get all clinical events of a patient in a study","operationId":"getAllClinicalEventsOfPatientInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. lgg_ucsf_2014","required":true,"schema":{"type":"string"}},{"name":"patientId","in":"path","description":"Patient ID e.g. P01","required":true,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"type":"integer","format":"int32","default":10000000,"maximum":10000000,"minimum":1}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["eventType","startNumberOfDaysSinceDiagnosis","endNumberOfDaysSinceDiagnosis"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalEvent"}}}}}}}},"/api/studies/{studyId}/clinical-events":{"get":{"tags":["Clinical Events"],"description":"Get all clinical events in a study","operationId":"getAllClinicalEventsInStudyUsingGET","parameters":[{"name":"studyId","in":"path","description":"Study ID e.g. lgg_ucsf_2014","required":true,"schema":{"type":"string"}},{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"type":"integer","format":"int32","default":10000,"maximum":10000,"minimum":1}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},{"name":"sortBy","in":"query","description":"Name of the property that the result list is sorted by","required":false,"schema":{"type":"string","enum":["eventType","startNumberOfDaysSinceDiagnosis","endNumberOfDaysSinceDiagnosis"]}},{"name":"direction","in":"query","description":"Direction of the sort","required":false,"schema":{"type":"string","default":"ASC","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalEvent"}}}}}}}},"/api/reference-genome-genes/{genomeName}":{"get":{"tags":["Reference Genome Genes"],"description":"Get all reference genes","operationId":"getAllReferenceGenomeGenesUsingGET","parameters":[{"name":"genomeName","in":"path","description":"Name of Reference Genome hg19","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReferenceGenomeGene"}}}}}}}},"/api/reference-genome-genes/{genomeName}/{geneId}":{"get":{"tags":["Reference Genome Genes"],"description":"Get a gene of a reference genome of interest","operationId":"getReferenceGenomeGeneUsingGET","parameters":[{"name":"genomeName","in":"path","description":"Name of Reference Genome hg19","required":true,"schema":{"type":"string"}},{"name":"geneId","in":"path","description":"Entrez Gene ID 207","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"404":{"description":"Reference genome or gene not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReferenceGenomeGene"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReferenceGenomeGene"}}}}}}},"/api/genesets":{"get":{"tags":["Gene Sets"],"description":"Get all gene sets","operationId":"getAllGenesetsUsingGET","parameters":[{"name":"projection","in":"query","description":"Level of detail of the response","required":false,"schema":{"type":"string","default":"SUMMARY","enum":["ID","SUMMARY","DETAILED","META"]}},{"name":"pageSize","in":"query","description":"Page size of the result list","required":false,"schema":{"type":"integer","format":"int32","default":10000000,"maximum":2147483647,"minimum":1}},{"name":"pageNumber","in":"query","description":"Page number of the result list","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Geneset"}}}}}}}},"/api/genesets/{genesetId}":{"get":{"tags":["Gene Sets"],"description":"Get a gene set","operationId":"getGenesetUsingGET","parameters":[{"name":"genesetId","in":"path","description":"Gene set ID e.g. GNF2_ZAP70","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Geneset"}}}}}}},"/api/genesets/version":{"get":{"tags":["Gene Sets"],"description":"Get the geneset version","operationId":"getGenesetVersionUsingGET","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/api/data-access-tokens/{token}":{"get":{"tags":["Data Access Tokens"],"description":"Retrieve an existing data access token","operationId":"getDataAccessTokenUsingGET","parameters":[{"name":"token","in":"path","description":"token","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataAccessToken"}}}}}},"delete":{"tags":["Data Access Tokens"],"description":"Delete a data access token","operationId":"revokeDataAccessTokenUsingDELETE","parameters":[{"name":"token","in":"path","description":"token","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/api/data-access-token":{"get":{"tags":["Data Access Tokens"],"description":"Create a new data access token","operationId":"downloadDataAccessTokenUsingGET","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/data-access-token/oauth2":{"get":{"tags":["Data Access Tokens"],"operationId":"downloadOAuth2DataAccessTokenUsingGET","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/cache":{"delete":{"tags":["Cache"],"summary":"Clear and reinitialize caches","operationId":"clearAllCachesUsingDELETE","parameters":[{"name":"X-API-KEY","in":"header","description":"Secret API key passed in HTTP header. The key is configured in application.properties of the portal instance.","required":true,"schema":{"type":"string"}},{"name":"springManagedCache","in":"query","description":"Clear Spring-managed caches","required":false,"schema":{"type":"boolean","default":true}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"string"}}}}}}},"/api/cache/{studyId}":{"delete":{"tags":["Cache"],"summary":"Clear and reinitialize caches after import/removal/update of a study","operationId":"clearCachesForStudyUsingDELETE","parameters":[{"name":"X-API-KEY","in":"header","description":"Secret API key passed in HTTP header. The key is configured in application.properties of the portal instance.","required":true,"schema":{"type":"string"}},{"name":"studyId","in":"path","required":true,"schema":{"type":"string"}},{"name":"springManagedCache","in":"query","description":"Clear Spring-managed caches","required":false,"schema":{"type":"boolean","default":true}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"string"}}}}}}}},"components":{"schemas":{"AlterationFilter":{"type":"object","properties":{"includeGermline":{"type":"boolean"},"includeSomatic":{"type":"boolean"},"includeUnknownStatus":{"type":"boolean"},"includeDriver":{"type":"boolean"},"includeVUS":{"type":"boolean"},"includeUnknownOncogenicity":{"type":"boolean"},"tiersBooleanMap":{"type":"object","additionalProperties":{"type":"boolean"}},"includeUnknownTier":{"type":"boolean"},"mutationEventTypes":{"type":"object","additionalProperties":{"type":"boolean"}},"copyNumberAlterationEventTypes":{"type":"object","additionalProperties":{"type":"boolean"}},"structuralVariants":{"type":"boolean"}}},"AndedPatientTreatmentFilters":{"type":"object","properties":{"filters":{"type":"array","items":{"$ref":"#/components/schemas/OredPatientTreatmentFilters"}}}},"AndedSampleTreatmentFilters":{"type":"object","properties":{"filters":{"type":"array","items":{"$ref":"#/components/schemas/OredSampleTreatmentFilters"}}}},"ClinicalDataFilter":{"type":"object","properties":{"values":{"type":"array","items":{"$ref":"#/components/schemas/DataFilterValue"}},"attributeId":{"type":"string"}}},"DataFilter":{"type":"object","properties":{"values":{"type":"array","items":{"$ref":"#/components/schemas/DataFilterValue"}}}},"DataFilterValue":{"type":"object","properties":{"start":{"type":"number"},"end":{"type":"number"},"value":{"type":"string"}}},"GeneFilter":{"type":"object","properties":{"molecularProfileIds":{"type":"array","items":{"type":"string"},"uniqueItems":true},"geneQueries":{"type":"array","items":{"type":"array","items":{"$ref":"#/components/schemas/GeneFilterQuery"}}}}},"GeneFilterQuery":{"type":"object","properties":{"includeGermline":{"type":"boolean"},"includeSomatic":{"type":"boolean"},"includeUnknownStatus":{"type":"boolean"},"includeDriver":{"type":"boolean"},"includeVUS":{"type":"boolean"},"includeUnknownOncogenicity":{"type":"boolean"},"tiersBooleanMap":{"type":"object","additionalProperties":{"type":"boolean"}},"includeUnknownTier":{"type":"boolean"},"hugoGeneSymbol":{"type":"string"},"entrezGeneId":{"type":"integer","format":"int32"},"alterations":{"type":"array","items":{"type":"string","enum":["AMP","GAIN","DIPLOID","HETLOSS","HOMDEL"]}}}},"GenericAssayDataFilter":{"type":"object","properties":{"values":{"type":"array","items":{"$ref":"#/components/schemas/DataFilterValue"}},"stableId":{"type":"string"},"profileType":{"type":"string"}}},"GenericAssaySelectionFilter":{"type":"object","properties":{"profileType":{"type":"string"},"patientLevel":{"type":"boolean"},"values":{"type":"array","items":{"type":"array","items":{"$ref":"#/components/schemas/GenericAssaySelectionValue"}}}}},"GenericAssaySelectionValue":{"type":"object","properties":{"stableId":{"type":"string"},"value":{"type":"string"}}},"GenomicDataFilter":{"type":"object","properties":{"values":{"type":"array","items":{"$ref":"#/components/schemas/DataFilterValue"}},"hugoGeneSymbol":{"type":"string"},"profileType":{"type":"string"}}},"MutationDataFilter":{"type":"object","properties":{"hugoGeneSymbol":{"type":"string"},"profileType":{"type":"string"},"categorization":{"type":"string","enum":["MUTATED","MUTATION_TYPE"]},"values":{"type":"array","items":{"type":"array","items":{"$ref":"#/components/schemas/DataFilterValue"}}}},"required":["categorization"]},"NamespaceDataFilter":{"type":"object","properties":{"outerKey":{"type":"string"},"innerKey":{"type":"string"},"values":{"type":"array","items":{"type":"array","items":{"$ref":"#/components/schemas/DataFilterValue"}}}}},"OredPatientTreatmentFilters":{"type":"object","properties":{"filters":{"type":"array","items":{"$ref":"#/components/schemas/PatientTreatmentFilter"}}}},"OredSampleTreatmentFilters":{"type":"object","properties":{"filters":{"type":"array","items":{"$ref":"#/components/schemas/SampleTreatmentFilter"}}}},"PatientTreatmentFilter":{"type":"object","properties":{"treatment":{"type":"string"}}},"SampleIdentifier":{"type":"object","properties":{"sampleId":{"type":"string"},"studyId":{"type":"string"}}},"SampleTreatmentFilter":{"type":"object","properties":{"treatment":{"type":"string"},"time":{"type":"string","enum":["Pre","Post"]}}},"StructuralVariantFilterQuery":{"type":"object","properties":{"includeGermline":{"type":"boolean"},"includeSomatic":{"type":"boolean"},"includeUnknownStatus":{"type":"boolean"},"includeDriver":{"type":"boolean"},"includeVUS":{"type":"boolean"},"includeUnknownOncogenicity":{"type":"boolean"},"tiersBooleanMap":{"type":"object","additionalProperties":{"type":"boolean"}},"includeUnknownTier":{"type":"boolean"},"gene1Query":{"$ref":"#/components/schemas/StructuralVariantGeneSubQuery"},"gene2Query":{"$ref":"#/components/schemas/StructuralVariantGeneSubQuery"}}},"StructuralVariantGeneSubQuery":{"type":"object","properties":{"hugoSymbol":{"type":"string"},"entrezId":{"type":"integer","format":"int32"},"specialValue":{"type":"string","enum":["ANY_GENE","NO_GENE"]}}},"StudyViewFilter":{"type":"object","description":"Study view filter","properties":{"sampleIdentifiers":{"type":"array","items":{"$ref":"#/components/schemas/SampleIdentifier"},"maxItems":2147483647,"minItems":1},"studyIds":{"type":"array","items":{"type":"string"},"maxItems":2147483647,"minItems":1},"clinicalDataFilters":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalDataFilter"}},"geneFilters":{"type":"array","items":{"$ref":"#/components/schemas/GeneFilter"}},"structuralVariantFilters":{"type":"array","items":{"$ref":"#/components/schemas/StudyViewStructuralVariantFilter"}},"sampleTreatmentFilters":{"$ref":"#/components/schemas/AndedSampleTreatmentFilters"},"sampleTreatmentGroupFilters":{"$ref":"#/components/schemas/AndedSampleTreatmentFilters"},"sampleTreatmentTargetFilters":{"$ref":"#/components/schemas/AndedSampleTreatmentFilters"},"patientTreatmentFilters":{"$ref":"#/components/schemas/AndedPatientTreatmentFilters"},"patientTreatmentGroupFilters":{"$ref":"#/components/schemas/AndedPatientTreatmentFilters"},"patientTreatmentTargetFilters":{"$ref":"#/components/schemas/AndedPatientTreatmentFilters"},"genomicProfiles":{"type":"array","items":{"type":"array","items":{"type":"string"}}},"genomicDataFilters":{"type":"array","items":{"$ref":"#/components/schemas/GenomicDataFilter"}},"genericAssayDataFilters":{"type":"array","items":{"$ref":"#/components/schemas/GenericAssayDataFilter"}},"genericAssaySelectionFilters":{"type":"array","items":{"$ref":"#/components/schemas/GenericAssaySelectionFilter"}},"caseLists":{"type":"array","items":{"type":"array","items":{"type":"string"}}},"customDataFilters":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalDataFilter"}},"alterationFilter":{"$ref":"#/components/schemas/AlterationFilter"},"clinicalEventFilters":{"type":"array","items":{"$ref":"#/components/schemas/DataFilter"}},"mutationDataFilters":{"type":"array","items":{"$ref":"#/components/schemas/MutationDataFilter"}},"namespaceDataFilters":{"type":"array","items":{"$ref":"#/components/schemas/NamespaceDataFilter"}},"uniqueStudyIds":{"type":"array","items":{"type":"string"},"uniqueItems":true}}},"StudyViewStructuralVariantFilter":{"type":"object","properties":{"molecularProfileIds":{"type":"array","items":{"type":"string"},"uniqueItems":true},"structVarQueries":{"type":"array","items":{"type":"array","items":{"$ref":"#/components/schemas/StructuralVariantFilterQuery"}}}}},"ClinicalEventSample":{"type":"object","properties":{"patientId":{"type":"string"},"sampleId":{"type":"string"},"studyId":{"type":"string"},"timeTaken":{"type":"integer","format":"int32"}}},"SampleTreatmentRow":{"type":"object","properties":{"time":{"type":"string","enum":["Pre","Post"]},"treatment":{"type":"string"},"count":{"type":"integer","format":"int32"},"samples":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalEventSample"},"uniqueItems":true}}},"SampleTreatmentReport":{"type":"object","description":"Represents a sample-level treatment report","properties":{"totalSamples":{"type":"integer","format":"int32"},"treatments":{"type":"array","items":{"$ref":"#/components/schemas/SampleTreatmentRow"}}}},"PatientTreatmentRow":{"type":"object","properties":{"treatment":{"type":"string"},"count":{"type":"integer","format":"int32"},"samples":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalEventSample"},"uniqueItems":true}}},"PatientTreatment":{"type":"object","properties":{"treatment":{"type":"string"},"count":{"type":"integer","format":"int32"}}},"PatientTreatmentReport":{"type":"object","description":"Represents a patient-level treatment report","properties":{"totalPatients":{"type":"integer","format":"int32"},"totalSamples":{"type":"integer","format":"int32"},"patientTreatments":{"type":"array","items":{"$ref":"#/components/schemas/PatientTreatment"}}}},"ClinicalEventData":{"type":"object","properties":{"clinicalEventId":{"type":"integer","format":"int64"},"key":{"type":"string"},"value":{"type":"string"}},"required":["key","value"]},"ClinicalEventRequest":{"type":"object","properties":{"eventType":{"type":"string"},"attributes":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalEventData"}}},"required":["eventType"]},"ClinicalEventRequestIdentifier":{"type":"object","properties":{"clinicalEventRequests":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalEventRequest"},"maxItems":10000000,"minItems":0,"uniqueItems":true},"position":{"type":"string","enum":["FIRST","LAST"]}},"required":["position"]},"PatientIdentifier":{"type":"object","properties":{"patientId":{"type":"string"},"studyId":{"type":"string"}}},"SurvivalRequest":{"type":"object","description":"Survival Data Request","properties":{"patientIdentifiers":{"type":"array","items":{"$ref":"#/components/schemas/PatientIdentifier"},"maxItems":10000000,"minItems":1},"attributeIdPrefix":{"type":"string"},"startEventRequestIdentifier":{"$ref":"#/components/schemas/ClinicalEventRequestIdentifier"},"endEventRequestIdentifier":{"$ref":"#/components/schemas/ClinicalEventRequestIdentifier"},"censoredEventRequestIdentifier":{"$ref":"#/components/schemas/ClinicalEventRequestIdentifier"}},"required":["attributeIdPrefix"]},"ClinicalAttribute":{"type":"object","description":"Represents a clinical attribute","properties":{"displayName":{"type":"string"},"description":{"type":"string"},"datatype":{"type":"string"},"patientAttribute":{"type":"boolean"},"priority":{"type":"string"},"clinicalAttributeId":{"type":"string"},"studyId":{"type":"string"}}},"ClinicalData":{"type":"object","description":"Represents clinical data","properties":{"uniqueSampleKey":{"type":"string"},"uniquePatientKey":{"type":"string"},"sampleId":{"type":"string"},"patientId":{"type":"string"},"studyId":{"type":"string"},"clinicalAttribute":{"$ref":"#/components/schemas/ClinicalAttribute"},"patientAttribute":{"type":"boolean"},"clinicalAttributeId":{"type":"string"},"value":{"type":"string"}}},"AlterationCountByGene":{"type":"object","description":"Represents alteration counts grouped by gene","properties":{"numberOfAlteredCases":{"type":"integer","format":"int32"},"numberOfAlteredCasesOnPanel":{"type":"integer","format":"int32"},"totalCount":{"type":"integer","format":"int32"},"numberOfProfiledCases":{"type":"integer","format":"int32"},"matchingGenePanelIds":{"type":"array","items":{"type":"string"},"uniqueItems":true},"entrezGeneId":{"type":"integer","format":"int32"},"hugoGeneSymbol":{"type":"string"},"qValue":{"type":"number"}}},"AlterationCountByStructuralVariant":{"type":"object","properties":{"numberOfAlteredCases":{"type":"integer","format":"int32"},"numberOfAlteredCasesOnPanel":{"type":"integer","format":"int32"},"totalCount":{"type":"integer","format":"int32"},"numberOfProfiledCases":{"type":"integer","format":"int32"},"matchingGenePanelIds":{"type":"array","items":{"type":"string"},"uniqueItems":true},"gene1EntrezGeneId":{"type":"integer","format":"int32"},"gene1HugoGeneSymbol":{"type":"string"},"gene2EntrezGeneId":{"type":"integer","format":"int32"},"gene2HugoGeneSymbol":{"type":"string"},"entrezGeneIds":{"type":"array","items":{"type":"integer","format":"int32"}},"uniqueEventKey":{"type":"string"},"hugoGeneSymbols":{"type":"array","items":{"type":"string"}}}},"SampleMolecularIdentifier":{"type":"object","properties":{"sampleId":{"type":"string"},"molecularProfileId":{"type":"string"}}},"StructuralVariantFilter":{"type":"object","description":"List of entrezGeneIds, structural variant queries and molecularProfileIds or sampleMolecularIdentifiers","properties":{"sampleMolecularIdentifiers":{"type":"array","items":{"$ref":"#/components/schemas/SampleMolecularIdentifier"},"maxItems":10000000,"minItems":0},"molecularProfileIds":{"type":"array","items":{"type":"string"},"maxItems":10000000,"minItems":0},"entrezGeneIds":{"type":"array","items":{"type":"integer","format":"int32"},"maxItems":10000000,"minItems":0},"structuralVariantQueries":{"type":"array","items":{"$ref":"#/components/schemas/StructuralVariantQuery"},"maxItems":10000000,"minItems":0}}},"StructuralVariantQuery":{"type":"object","properties":{"gene1":{"$ref":"#/components/schemas/StructuralVariantGeneSubQuery"},"gene2":{"$ref":"#/components/schemas/StructuralVariantGeneSubQuery"}}},"StructuralVariant":{"type":"object","description":"Represents a structural variant","properties":{"uniqueSampleKey":{"type":"string"},"uniquePatientKey":{"type":"string"},"molecularProfileId":{"type":"string"},"sampleId":{"type":"string"},"patientId":{"type":"string"},"studyId":{"type":"string"},"site1EntrezGeneId":{"type":"integer","format":"int32"},"site1HugoSymbol":{"type":"string"},"site1EnsemblTranscriptId":{"type":"string"},"site1Chromosome":{"type":"string"},"site1Position":{"type":"integer","format":"int32"},"site1Contig":{"type":"string"},"site1Region":{"type":"string"},"site1RegionNumber":{"type":"integer","format":"int32"},"site1Description":{"type":"string"},"site2EntrezGeneId":{"type":"integer","format":"int32"},"site2HugoSymbol":{"type":"string"},"site2EnsemblTranscriptId":{"type":"string"},"site2Chromosome":{"type":"string"},"site2Position":{"type":"integer","format":"int32"},"site2Contig":{"type":"string"},"site2Region":{"type":"string"},"site2RegionNumber":{"type":"integer","format":"int32"},"site2Description":{"type":"string"},"site2EffectOnFrame":{"type":"string"},"ncbiBuild":{"type":"string"},"dnaSupport":{"type":"string"},"rnaSupport":{"type":"string"},"normalReadCount":{"type":"integer","format":"int32"},"tumorReadCount":{"type":"integer","format":"int32"},"normalVariantCount":{"type":"integer","format":"int32"},"tumorVariantCount":{"type":"integer","format":"int32"},"normalPairedEndReadCount":{"type":"integer","format":"int32"},"tumorPairedEndReadCount":{"type":"integer","format":"int32"},"normalSplitReadCount":{"type":"integer","format":"int32"},"tumorSplitReadCount":{"type":"integer","format":"int32"},"annotation":{"type":"string"},"breakpointType":{"type":"string"},"connectionType":{"type":"string"},"eventInfo":{"type":"string"},"variantClass":{"type":"string"},"length":{"type":"integer","format":"int32"},"comments":{"type":"string"},"driverFilter":{"type":"string"},"driverFilterAnn":{"type":"string"},"driverTiersFilter":{"type":"string"},"driverTiersFilterAnn":{"type":"string"},"svStatus":{"type":"string"},"namespaceColumns":{"type":"object","additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}},"CaseListDataCount":{"type":"object","description":"Represents counts for a case list","properties":{"label":{"type":"string"},"value":{"type":"string"},"count":{"type":"integer","format":"int32"}}},"ResourceDefinition":{"type":"object","description":"Represents a resource definition","properties":{"resourceId":{"type":"string"},"displayName":{"type":"string"},"description":{"type":"string"},"resourceType":{"type":"string","enum":["STUDY","SAMPLE","PATIENT"]},"priority":{"type":"string"},"openByDefault":{"type":"boolean"},"studyId":{"type":"string"},"customMetaData":{"type":"string"}}},"ReferenceGenomeGene":{"type":"object","properties":{"referenceGenomeId":{"type":"integer","format":"int32"},"entrezGeneId":{"type":"integer","format":"int32"},"hugoGeneSymbol":{"type":"string"},"chromosome":{"type":"string"},"cytoband":{"type":"string"},"start":{"type":"integer","format":"int64"},"end":{"type":"integer","format":"int64"}},"required":["entrezGeneId","referenceGenomeId"]},"Group":{"type":"object","properties":{"sampleIdentifiers":{"type":"array","items":{"$ref":"#/components/schemas/SampleIdentifier"},"maxItems":10000000,"minItems":1},"name":{"type":"string"}}},"GroupFilter":{"type":"object","description":"Group filter with sample identifiers","properties":{"groups":{"type":"array","items":{"$ref":"#/components/schemas/Group"},"maxItems":2147483647,"minItems":2}}},"ClinicalDataEnrichment":{"type":"object","description":"Represents clinical data enrichment","properties":{"clinicalAttribute":{"$ref":"#/components/schemas/ClinicalAttribute"},"score":{"type":"number"},"method":{"type":"string"},"pValue":{"type":"number"}}},"NamespaceAttribute":{"type":"object","properties":{"outerKey":{"type":"string"},"innerKey":{"type":"string"}}},"NamespaceComparisonFilter":{"type":"object","description":"List of SampleIdentifiers, list of values and a NamespaceAttribute","properties":{"sampleIdentifiers":{"type":"array","items":{"$ref":"#/components/schemas/SampleIdentifier"},"maxItems":10000000,"minItems":1},"namespaceAttribute":{"$ref":"#/components/schemas/NamespaceAttribute"},"values":{"type":"array","items":{"type":"string"}}}},"NamespaceData":{"type":"object","properties":{"uniqueSampleKey":{"type":"string"},"uniquePatientKey":{"type":"string"},"outerKey":{"type":"string"},"innerKey":{"type":"string"},"sampleId":{"type":"string"},"studyId":{"type":"string"},"patientId":{"type":"string"},"attrValue":{"type":"string"}},"required":["innerKey","outerKey","sampleId","studyId"]},"NamespaceDataCountFilter":{"type":"object","description":"Namespace data count filter","properties":{"attributes":{"type":"array","items":{"$ref":"#/components/schemas/NamespaceDataFilter"}},"studyViewFilter":{"$ref":"#/components/schemas/StudyViewFilter"}}},"NamespaceDataCount":{"type":"object","properties":{"value":{"type":"string"},"count":{"type":"integer","format":"int32"},"totalCount":{"type":"integer","format":"int32"}}},"NamespaceDataCountItem":{"type":"object","properties":{"outerKey":{"type":"string"},"innerKey":{"type":"string"},"counts":{"type":"array","items":{"$ref":"#/components/schemas/NamespaceDataCount"}}}},"NamespaceAttributeCountFilter":{"type":"object","description":"List of SampleIdentifiers and NamespaceAttributes","properties":{"sampleIdentifiers":{"type":"array","items":{"$ref":"#/components/schemas/SampleIdentifier"},"maxItems":10000000,"minItems":1},"namespaceAttributes":{"type":"array","items":{"$ref":"#/components/schemas/NamespaceAttribute"}}}},"NamespaceAttributeCount":{"type":"object","properties":{"outerKey":{"type":"string"},"innerKey":{"type":"string"},"count":{"type":"integer","format":"int32"}}},"GenomicDataCountFilter":{"type":"object","description":"Genomic data count filter","properties":{"genomicDataFilters":{"type":"array","items":{"$ref":"#/components/schemas/GenomicDataFilter"}},"studyViewFilter":{"$ref":"#/components/schemas/StudyViewFilter"}}},"GenomicDataCount":{"type":"object","description":"Represents a genomic data count","properties":{"label":{"type":"string"},"value":{"type":"string"},"count":{"type":"integer","format":"int32"},"uniqueCount":{"type":"integer","format":"int32"},"sampleIds":{"type":"array","items":{"type":"string"}}}},"GenomicDataCountItem":{"type":"object","description":"Represents genomic data counts for a single item","properties":{"hugoGeneSymbol":{"type":"string"},"profileType":{"type":"string"},"counts":{"type":"array","items":{"$ref":"#/components/schemas/GenomicDataCount"}}}},"MutationPositionIdentifier":{"type":"object","properties":{"entrezGeneId":{"type":"integer","format":"int32"},"proteinPosStart":{"type":"integer","format":"int32"},"proteinPosEnd":{"type":"integer","format":"int32"}}},"MutationCountByPosition":{"type":"object","properties":{"entrezGeneId":{"type":"integer","format":"int32"},"proteinPosStart":{"type":"integer","format":"int32"},"proteinPosEnd":{"type":"integer","format":"int32"},"count":{"type":"integer","format":"int32"}},"required":["count","entrezGeneId","proteinPosEnd","proteinPosStart"]},"VariantCountIdentifier":{"type":"object","properties":{"entrezGeneId":{"type":"integer","format":"int32"},"keyword":{"type":"string"}}},"VariantCount":{"type":"object","properties":{"molecularProfileId":{"type":"string"},"entrezGeneId":{"type":"integer","format":"int32"},"keyword":{"type":"string"},"numberOfSamples":{"type":"integer","format":"int32"},"numberOfSamplesWithMutationInGene":{"type":"integer","format":"int32"},"numberOfSamplesWithKeyword":{"type":"integer","format":"int32"}},"required":["entrezGeneId","molecularProfileId","numberOfSamples","numberOfSamplesWithKeyword","numberOfSamplesWithMutationInGene"]},"MutationSpectrumFilter":{"type":"object","description":"List of Sample IDs/Sample List ID","properties":{"sampleIds":{"type":"array","items":{"type":"string"},"maxItems":10000000,"minItems":1},"sampleListId":{"type":"string"}}},"MutationSpectrum":{"type":"object","description":"Represents mutation spectrum counts","properties":{"uniqueSampleKey":{"type":"string"},"uniquePatientKey":{"type":"string"},"molecularProfileId":{"type":"string"},"sampleId":{"type":"string"},"patientId":{"type":"string"},"studyId":{"type":"string"},"CtoA":{"type":"integer","format":"int32"},"CtoG":{"type":"integer","format":"int32"},"CtoT":{"type":"integer","format":"int32"},"TtoA":{"type":"integer","format":"int32"},"TtoC":{"type":"integer","format":"int32"},"TtoG":{"type":"integer","format":"int32"}}},"MrnaPercentile":{"type":"object","properties":{"uniqueSampleKey":{"type":"string"},"uniquePatientKey":{"type":"string"},"molecularProfileId":{"type":"string"},"sampleId":{"type":"string"},"patientId":{"type":"string"},"studyId":{"type":"string"},"entrezGeneId":{"type":"integer","format":"int32"},"percentile":{"type":"number"},"zScore":{"type":"number"}},"required":["entrezGeneId","molecularProfileId","patientId","percentile","sampleId","studyId","zScore"]},"CopyNumberCountIdentifier":{"type":"object","properties":{"entrezGeneId":{"type":"integer","format":"int32"},"alteration":{"type":"integer","format":"int32"}}},"CopyNumberCount":{"type":"object","properties":{"molecularProfileId":{"type":"string"},"entrezGeneId":{"type":"integer","format":"int32"},"alteration":{"type":"integer","format":"int32"},"numberOfSamples":{"type":"integer","format":"int32"},"numberOfSamplesWithAlterationInGene":{"type":"integer","format":"int32"}},"required":["alteration","entrezGeneId","molecularProfileId","numberOfSamples","numberOfSamplesWithAlterationInGene"]},"CoExpressionFilter":{"type":"object","description":"Co-Expression Filter","properties":{"sampleIds":{"type":"array","items":{"type":"string"},"maxItems":10000000,"minItems":1},"sampleListId":{"type":"string"},"entrezGeneId":{"type":"integer","format":"int32"},"genesetId":{"type":"string"}}},"CoExpression":{"type":"object","description":"Represents a co-expression result","properties":{"geneticEntityId":{"type":"string"},"geneticEntityType":{"type":"string","enum":["GENE","GENESET","PHOSPHOPROTEIN","GENERIC_ASSAY"]},"spearmansCorrelation":{"type":"number"},"pValue":{"type":"number"}}},"BinsGeneratorConfig":{"type":"object","properties":{"binSize":{"type":"number"},"anchorValue":{"type":"number"}}},"GenomicDataBinCountFilter":{"type":"object","properties":{"studyViewFilter":{"$ref":"#/components/schemas/StudyViewFilter"},"genomicDataBinFilters":{"type":"array","items":{"$ref":"#/components/schemas/GenomicDataBinFilter"}}}},"GenomicDataBinFilter":{"type":"object","properties":{"disableLogScale":{"type":"boolean"},"customBins":{"type":"array","items":{"type":"number"}},"binMethod":{"type":"string","enum":["MEDIAN","QUARTILE","CUSTOM","GENERATE"]},"binsGeneratorConfig":{"$ref":"#/components/schemas/BinsGeneratorConfig"},"start":{"type":"number"},"end":{"type":"number"},"hugoGeneSymbol":{"type":"string"},"profileType":{"type":"string"}}},"GenomicDataBin":{"type":"object","description":"Represents a genomic data bin","properties":{"specialValue":{"type":"string"},"start":{"type":"number"},"end":{"type":"number"},"count":{"type":"integer","format":"int32"},"hugoGeneSymbol":{"type":"string"},"profileType":{"type":"string"}}},"GenesetDataFilterCriteria":{"type":"object","description":"Search criteria to return the values for a given set of samples and gene set items. genesetIds: The list of identifiers for the gene sets of interest, e.g. HINATA_NFKB_MATRIX. Use one of these if you want to specify a subset of samples:(1) sampleListId: Identifier of pre-defined sample list with samples to query, e.g. brca_tcga_all or (2) sampleIds: custom list of samples or patients to query, e.g. TCGA-BH-A1EO-01, TCGA-AR-A1AR-01","properties":{"genesetIds":{"type":"array","items":{"type":"string"}},"sampleListId":{"type":"string"},"sampleIds":{"type":"array","items":{"type":"string"}}}},"Geneset":{"type":"object","description":"Represents a gene set","properties":{"genesetId":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"refLink":{"type":"string"},"representativeScore":{"type":"number","format":"double"},"representativePvalue":{"type":"number","format":"double"}}},"GenesetMolecularData":{"type":"object","description":"Represents geneset molecular data","properties":{"geneticProfileId":{"type":"string"},"sampleId":{"type":"string"},"patientId":{"type":"string"},"studyId":{"type":"string"},"value":{"type":"string"},"genesetId":{"type":"string"},"geneset":{"$ref":"#/components/schemas/Geneset"},"uniqueSampleKey":{"type":"string"},"uniquePatientKey":{"type":"string"}}},"GenesetCorrelation":{"type":"object","description":"Represents geneset correlation","properties":{"entrezGeneId":{"type":"integer","format":"int32"},"hugoGeneSymbol":{"type":"string"},"correlationValue":{"type":"number","format":"double"},"expressionGeneticProfileId":{"type":"string"},"zScoreGeneticProfileId":{"type":"string"}}},"GenesetHierarchyInfo":{"type":"object","description":"Represents a gene set hierarchy node","properties":{"nodeId":{"type":"integer","format":"int32"},"nodeName":{"type":"string"},"parentId":{"type":"integer","format":"int32"},"parentNodeName":{"type":"string"},"genesets":{"type":"array","items":{"$ref":"#/components/schemas/Geneset"}}}},"MolecularProfileCaseIdentifier":{"type":"object","properties":{"molecularProfileId":{"type":"string"},"caseId":{"type":"string"}},"required":["caseId","molecularProfileId"]},"MolecularProfileCasesGroupFilter":{"type":"object","properties":{"name":{"type":"string"},"molecularProfileCaseIdentifiers":{"type":"array","items":{"$ref":"#/components/schemas/MolecularProfileCaseIdentifier"}}}},"GenericAssayEnrichment":{"type":"object","properties":{"groupsStatistics":{"type":"array","items":{"$ref":"#/components/schemas/GroupStatistics"}},"stableId":{"type":"string"},"name":{"type":"string"},"genericEntityMetaProperties":{"type":"object","additionalProperties":{"type":"string"}},"pValue":{"type":"number"},"qValue":{"type":"number"}},"required":["genericEntityMetaProperties","groupsStatistics","name","pValue","qValue","stableId"]},"GroupStatistics":{"type":"object","properties":{"name":{"type":"string"},"meanExpression":{"type":"number"},"standardDeviation":{"type":"number"}},"required":["meanExpression","name","standardDeviation"]},"GenericAssayDataCountFilter":{"type":"object","description":"Generic assay data count filter","properties":{"genericAssayDataFilters":{"type":"array","items":{"$ref":"#/components/schemas/GenericAssayDataFilter"}},"profileType":{"type":"string"},"studyViewFilter":{"$ref":"#/components/schemas/StudyViewFilter"}}},"GenericAssayDataCount":{"type":"object","properties":{"value":{"type":"string"},"count":{"type":"integer","format":"int32"}}},"GenericAssayDataCountItem":{"type":"object","description":"Represents generic assay data counts for a single item","properties":{"stableId":{"type":"string"},"counts":{"type":"array","items":{"$ref":"#/components/schemas/GenericAssayDataCount"}}}},"GenericAssayDataBinCountFilter":{"type":"object","properties":{"studyViewFilter":{"$ref":"#/components/schemas/StudyViewFilter"},"genericAssayDataBinFilters":{"type":"array","items":{"$ref":"#/components/schemas/GenericAssayDataBinFilter"}}}},"GenericAssayDataBinFilter":{"type":"object","properties":{"disableLogScale":{"type":"boolean"},"customBins":{"type":"array","items":{"type":"number"}},"binMethod":{"type":"string","enum":["MEDIAN","QUARTILE","CUSTOM","GENERATE"]},"binsGeneratorConfig":{"$ref":"#/components/schemas/BinsGeneratorConfig"},"start":{"type":"number"},"end":{"type":"number"},"stableId":{"type":"string"},"profileType":{"type":"string"}}},"GenericAssayDataBin":{"type":"object","description":"Represents a generic assay data bin","properties":{"specialValue":{"type":"string"},"start":{"type":"number"},"end":{"type":"number"},"count":{"type":"integer","format":"int32"},"stableId":{"type":"string"},"profileType":{"type":"string"}}},"GenericAssayCategoricalEnrichment":{"type":"object","properties":{"groupsStatistics":{"type":"array","items":{"$ref":"#/components/schemas/GroupStatistics"}},"stableId":{"type":"string"},"name":{"type":"string"},"genericEntityMetaProperties":{"type":"object","additionalProperties":{"type":"string"}},"pValue":{"type":"number"},"qValue":{"type":"number"}},"required":["genericEntityMetaProperties","groupsStatistics","name","pValue","qValue","stableId"]},"GenericAssayBinaryEnrichment":{"type":"object","properties":{"groupsStatistics":{"type":"array","items":{"$ref":"#/components/schemas/GroupStatistics"}},"stableId":{"type":"string"},"name":{"type":"string"},"genericEntityMetaProperties":{"type":"object","additionalProperties":{"type":"string"}},"counts":{"type":"array","items":{"$ref":"#/components/schemas/GenericAssayCountSummary"}},"pValue":{"type":"number"},"qValue":{"type":"number"}},"required":["counts","genericEntityMetaProperties","groupsStatistics","name","pValue","qValue","stableId"]},"GenericAssayCountSummary":{"type":"object","properties":{"name":{"type":"string"},"count":{"type":"integer","format":"int32"},"totalCount":{"type":"integer","format":"int32"}},"required":["count","name","totalCount"]},"Sample":{"type":"object","description":"Represents a sample","properties":{"sampleId":{"type":"string"},"sampleType":{"type":"string","enum":["Primary Solid Tumor","Recurrent Solid Tumor","Primary Blood Tumor","Recurrent Blood Tumor","Metastatic","Blood Derived Normal","Solid Tissues Normal"]},"patientId":{"type":"string"},"studyId":{"type":"string"},"sequenced":{"type":"boolean"},"copyNumberSegmentPresent":{"type":"boolean"},"uniqueSampleKey":{"type":"string"},"uniquePatientKey":{"type":"string"}}},"GenomicEnrichment":{"type":"object","properties":{"groupsStatistics":{"type":"array","items":{"$ref":"#/components/schemas/GroupStatistics"}},"entrezGeneId":{"type":"integer","format":"int32"},"hugoGeneSymbol":{"type":"string"},"cytoband":{"type":"string"},"pValue":{"type":"number"}},"required":["entrezGeneId","groupsStatistics","hugoGeneSymbol","pValue"]},"DataAccessToken":{"type":"object","properties":{"token":{"type":"string"},"username":{"type":"string"},"expiration":{"type":"string","format":"date-time"},"creation":{"type":"string","format":"date-time"}}},"CustomDriverAnnotationReport":{"type":"object","properties":{"hasBinary":{"type":"boolean"},"tiers":{"type":"array","items":{"type":"string"},"uniqueItems":true}}},"ClinicalDataCountFilter":{"type":"object","description":"Custom data count filter","properties":{"attributes":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalDataFilter"}},"studyViewFilter":{"$ref":"#/components/schemas/StudyViewFilter"}}},"ClinicalDataCount":{"type":"object","description":"Represents a clinical data count","properties":{"value":{"type":"string"},"count":{"type":"integer","format":"int32"}}},"ClinicalDataCountItem":{"type":"object","description":"Represents clinical data counts for a single item","properties":{"attributeId":{"type":"string"},"counts":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalDataCount"}}}},"ClinicalDataBinCountFilter":{"type":"object","description":"Clinical data bin count filter","properties":{"studyViewFilter":{"$ref":"#/components/schemas/StudyViewFilter"},"attributes":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalDataBinFilter"}}}},"ClinicalDataBinFilter":{"type":"object","properties":{"disableLogScale":{"type":"boolean"},"customBins":{"type":"array","items":{"type":"number"}},"binMethod":{"type":"string","enum":["MEDIAN","QUARTILE","CUSTOM","GENERATE"]},"binsGeneratorConfig":{"$ref":"#/components/schemas/BinsGeneratorConfig"},"start":{"type":"number"},"end":{"type":"number"},"attributeId":{"type":"string"}}},"ClinicalDataBin":{"type":"object","description":"Represents a clinical data bin","properties":{"specialValue":{"type":"string"},"start":{"type":"number"},"end":{"type":"number"},"count":{"type":"integer","format":"int32"},"attributeId":{"type":"string"}}},"CopyNumberCountByGene":{"type":"object","description":"Represents copy number counts grouped by gene","properties":{"numberOfAlteredCases":{"type":"integer","format":"int32"},"numberOfAlteredCasesOnPanel":{"type":"integer","format":"int32"},"totalCount":{"type":"integer","format":"int32"},"numberOfProfiledCases":{"type":"integer","format":"int32"},"matchingGenePanelIds":{"type":"array","items":{"type":"string"},"uniqueItems":true},"entrezGeneId":{"type":"integer","format":"int32"},"hugoGeneSymbol":{"type":"string"},"qValue":{"type":"number"},"alteration":{"type":"integer","format":"int32"},"cytoband":{"type":"string"}}},"ClinicalEventAttributeRequest":{"type":"object","description":"clinical events Request","properties":{"patientIdentifiers":{"type":"array","items":{"$ref":"#/components/schemas/PatientIdentifier"},"maxItems":10000000,"minItems":1},"clinicalEventRequests":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalEventRequest"},"uniqueItems":true}}},"ClinicalEvent":{"type":"object","description":"Represents a clinical event","properties":{"studyId":{"type":"string"},"patientId":{"type":"string"},"uniquePatientKey":{"type":"string"},"eventType":{"type":"string"},"startNumberOfDaysSinceDiagnosis":{"type":"integer","format":"int32"},"endNumberOfDaysSinceDiagnosis":{"type":"integer","format":"int32"},"attributes":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalEventData"}}}},"ClinicalEventTypeCount":{"type":"object","description":"Represents counts by clinical event type","properties":{"eventType":{"type":"string"},"count":{"type":"integer","format":"int32"}}},"ClinicalViolinPlotBoxData":{"type":"object","properties":{"whiskerLower":{"type":"number","format":"double"},"whiskerUpper":{"type":"number","format":"double"},"median":{"type":"number","format":"double"},"q1":{"type":"number","format":"double"},"q3":{"type":"number","format":"double"}}},"ClinicalViolinPlotData":{"type":"object","description":"Represents clinical violin plot data","properties":{"rows":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalViolinPlotRowData"}},"axisStart":{"type":"number","format":"double"},"axisEnd":{"type":"number","format":"double"}}},"ClinicalViolinPlotIndividualPoint":{"type":"object","properties":{"sampleId":{"type":"string"},"studyId":{"type":"string"},"value":{"type":"number","format":"double"}}},"ClinicalViolinPlotRowData":{"type":"object","properties":{"category":{"type":"string"},"numSamples":{"type":"integer","format":"int32"},"curveData":{"type":"array","items":{"type":"number","format":"double"}},"boxData":{"$ref":"#/components/schemas/ClinicalViolinPlotBoxData"},"individualPoints":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalViolinPlotIndividualPoint"}}}},"SampleClinicalDataCollection":{"type":"object","description":"Represents clinical data grouped by unique sample key","properties":{"byUniqueSampleKey":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/ClinicalData"}}}}},"DensityPlotBin":{"type":"object","properties":{"count":{"type":"integer","format":"int32"},"binX":{"type":"number"},"binY":{"type":"number"},"minX":{"type":"number"},"maxX":{"type":"number"},"minY":{"type":"number"},"maxY":{"type":"number"}}},"DensityPlotData":{"type":"object","description":"Represents density plot data","properties":{"bins":{"type":"array","items":{"$ref":"#/components/schemas/DensityPlotBin"}},"pearsonCorr":{"type":"number","format":"double"},"spearmanCorr":{"type":"number","format":"double"}}},"ClinicalAttributeCountFilter":{"type":"object","description":"List of SampleIdentifiers or Sample List ID","properties":{"sampleIdentifiers":{"type":"array","items":{"$ref":"#/components/schemas/SampleIdentifier"},"maxItems":10000000,"minItems":1},"sampleListId":{"type":"string"}}},"ClinicalAttributeCount":{"type":"object","description":"Represents clinical attribute count","properties":{"clinicalAttributeId":{"type":"string"},"count":{"type":"integer","format":"int32"}}},"MolecularProfileCasesGroupAndAlterationTypeFilter":{"type":"object","description":"List of groups containing sample identifiers and list of Alteration Types","properties":{"alterationEventTypes":{"$ref":"#/components/schemas/AlterationFilter"},"molecularProfileCasesGroupFilter":{"type":"array","items":{"$ref":"#/components/schemas/MolecularProfileCasesGroupFilter"},"maxItems":10000000,"minItems":1}}},"AlterationEnrichment":{"type":"object","description":"Represents an alteration enrichment result","properties":{"entrezGeneId":{"type":"integer","format":"int32"},"hugoGeneSymbol":{"type":"string"},"cytoband":{"type":"string"},"pValue":{"type":"number"},"counts":{"type":"array","items":{"$ref":"#/components/schemas/CountSummary"}}}},"CountSummary":{"type":"object","properties":{"name":{"type":"string"},"alteredCount":{"type":"integer","format":"int32"},"profiledCount":{"type":"integer","format":"int32"}},"required":["alteredCount","name","profiledCount"]},"MutSig":{"type":"object","properties":{"cancerStudyId":{"type":"integer","format":"int32"},"cancerStudyIdentifier":{"type":"string"},"entrezGeneId":{"type":"integer","format":"int32"},"hugoGeneSymbol":{"type":"string"},"rank":{"type":"integer","format":"int32"},"numbasescovered":{"type":"integer","format":"int32"},"nummutations":{"type":"integer","format":"int32"},"pValue":{"type":"number"},"qValue":{"type":"number"}},"required":["cancerStudyIdentifier","entrezGeneId","hugoGeneSymbol","nummutations","pValue","qValue","rank"]},"Gistic":{"type":"object","properties":{"gisticRoiId":{"type":"integer","format":"int64"},"cancerStudyId":{"type":"string"},"chromosome":{"type":"integer","format":"int32"},"cytoband":{"type":"string"},"widePeakStart":{"type":"integer","format":"int32"},"widePeakEnd":{"type":"integer","format":"int32"},"amp":{"type":"boolean"},"genes":{"type":"array","items":{"$ref":"#/components/schemas/GisticToGene"}},"qValue":{"type":"number"}},"required":["amp","cancerStudyId","chromosome","cytoband","qValue","widePeakEnd","widePeakStart"]},"GisticToGene":{"type":"object","properties":{"gisticRoiId":{"type":"integer","format":"int64"},"entrezGeneId":{"type":"integer","format":"int32"},"hugoGeneSymbol":{"type":"string"}},"required":["entrezGeneId","hugoGeneSymbol"]},"ResourceData":{"type":"object","description":"Represents resource data","properties":{"sampleId":{"type":"string"},"patientId":{"type":"string"},"studyId":{"type":"string"},"resourceId":{"type":"string"},"url":{"type":"string"},"uniqueSampleKey":{"type":"string"},"uniquePatientKey":{"type":"string"},"resourceDefinition":{"$ref":"#/components/schemas/ResourceDefinition"}}}}}}